import request from '@/utils/request'

// 查询表扬与投诉列表
export function listComment(query) {
  return request({
    url: '/business/comment/list',
    method: 'get',
    params: query
  })
}

// 查询表扬与投诉详细
export function getComment(id) {
  return request({
    url: '/business/comment/' + id,
    method: 'get'
  })
}

// 新增表扬与投诉
export function addComment(data) {
  return request({
    url: '/business/comment',
    method: 'post',
    data: data
  })
}

// 修改表扬与投诉
export function updateComment(data) {
  return request({
    url: '/business/comment',
    method: 'put',
    data: data
  })
}

// 删除表扬与投诉
export function delComment(id) {
  return request({
    url: '/business/comment/' + id,
    method: 'delete'
  })
}

// 处理表扬与投诉
export function completeComment(id) {
  return request({
    url: '/business/comment/complete/' + id,
    method: 'put'
  })
}
